#
# spec file for package rubygem-nio4r
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-nio4r
Version:        2.5.8
Release:        1.13
%define mod_name nio4r
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{?suse_version} && 0%{?suse_version} < 1330
%define rb_build_versions ruby23 ruby24 ruby25
%define rb_build_ruby_abi ruby:2.3.0 ruby:2.4.0 ruby:2.5.0
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 2.4}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/socketry/nio4r
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-nio4r-rpmlintrc
Source2:        gem2rpm.yml
Summary:        New IO for Ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
Cross-platform asynchronous I/O primitives for scalable network clients and
servers. Inspired by the Java NIO API, but simplified for ease-of-use.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.md README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Wed Aug 25 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.5.8
  * no changelog found for this version in CHANGES.md
* Mon Mar 15 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.5.7
  * no changelog found for this version in CHANGES.md
* Sat Feb  6 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.5.5
  * no changelog found for this version in CHANGES.md
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 2.5.4
  see installed CHANGES.md
  [#]# 2.5.4 (2020-09-16)
  * [#251](https://github.com/socketry/nio4r/issues/251)
    Intermittent SEGV during GC.
    ([@boazsegev])
* Sat Sep 12 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.5.3
  * [#241](https://github.com/socketry/nio4r/issues/241)
    Possible bug with Ruby >= 2.7.0 and `GC.compact`.
    ([@boazsegev])
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.5.2
  * [#220](https://github.com/socketry/nio4r/issues/220)
    Update to libev-4.27 & fix assorted warnings.
    ([@ioquatix])
  * [#225](https://github.com/socketry/nio4r/issues/225)
    Avoid need for linux headers.
    ([@ioquatix])
* Mon Jul  8 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.4.0
  * [#211](https://github.com/socketry/nio4r/pull/211)
    Enable KQUEUE on macOS 10.14+.
    ([@ioquatix])
  * Bump minimum supported Ruby to 2.3.
    ([@ioquatix])
  * Assorted fixes for TruffleRuby & JRuby.
    ([@eregon], [@olleolleolle])
  * Update libev to v4.25.
    ([@ioquatix])
  * Bind to ephemeral (port 0) for more reliable specs.
    ([@ioquatix])
  * Improve handling of SSL sockets and related specs.
    ([@MSP-Greg])
* Thu May  3 2018 factory-auto@kulow.org
- updated to version 2.3.1
  see installed CHANGES.md
  [#]# 2.3.1 (2018-05-03)
  * [#188](https://github.com/socketry/nio4r/pull/188)
    Fix remove interests
    ([@ioquatix])
* Mon Apr 16 2018 mschnitzer@suse.com
- Only build against ruby versions 2.3.x, 2.4.x, and 2.5.x
* Tue Mar 20 2018 factory-auto@kulow.org
- updated to version 2.3.0
  see installed CHANGES.md
  [#]# 2.3.0 (2018-03-15)
  * [#183](https://github.com/socketry/nio4r/pull/183)
    Allow `Monitor#interests` to be nil
    ([@ioquatix])
* Tue Jan  9 2018 coolo@suse.com
- updated to version 2.2.0
  see installed CHANGES.md
  [#]# 2.2.0 (2017-12-27)
  * [#151](https://github.com/socketry/nio4r/pull/151)
    `NIO::Selector`: Support for enumerating and configuring backend
    ([@tarcieri])
  * [#153](https://github.com/socketry/nio4r/pull/153)
    Fix builds on Windows
    ([@unak])
  * [#157](https://github.com/socketry/nio4r/pull/157)
    Windows / MinGW test failure - fix spec_helper.rb
    ([@MSP-Greg])
  * [#162](https://github.com/socketry/nio4r/pull/162)
    Don't build the C extension on Windows
    ([@larskanis])
  * [#164](https://github.com/socketry/nio4r/pull/164)
    Fix NIO::ByteBuffer leak
    ([@HoneyryderChuck])
  * [#170](https://github.com/socketry/nio4r/pull/170)
    Avoid CancelledKeyExceptions on JRuby
    ([@HoneyryderChuck])
  * [#177](https://github.com/socketry/nio4r/pull/177)
    Fix `NIO::ByteBuffer` string conversions on JRuby
    ([@tarcieri])
  * [#179](https://github.com/socketry/nio4r/pull/179)
    Fix argument error when running on ruby 2.5.0
    ([@tompng])
  * [#180](https://github.com/socketry/nio4r/pull/180)
    ext/nio4r/extconf.rb: check for port_event_t in port.h (fixes #178)
    ([@tarcieri])
* Tue May 30 2017 coolo@suse.com
- updated to version 2.1.0
  see installed CHANGES.md
  [#]# 2.1.0 (2017-05-28)
  * [#130](https://github.com/socketry/nio4r/pull/130)
    Add -fno-strict-aliasing flag when compiling C ext.
    ([@junaruga])
  * [#146](https://github.com/socketry/nio4r/pull/146)
    Use non-blocking select when a timeout of 0 is given.
    ([@tarcieri])
  * [#147](https://github.com/socketry/nio4r/pull/147)
    Update to libev 4.24.
    ([@tarcieri])
  * [#148](https://github.com/socketry/nio4r/pull/148)
    Switch to the libev 4 API internally.
    ([@tarcieri])
* Thu Dec 29 2016 coolo@suse.com
- updated to version 2.0.0
  see installed CHANGES.md
* Mon Feb  1 2016 coolo@suse.com
- updated to version 1.2.1
  see installed CHANGES.md
  1.2.1 (2016-01-31)
  - -----------------
  * Fix bug in the JRuby backend which cases indefinite blocking when small
    timeout values are passed to the selector
* Thu Jan 21 2016 coolo@suse.com
- updated to version 1.2.0
  see installed CHANGES.md
  1.2.0 (2015-12-22)
  - -----------------
  * Add NIO::Monitor#interests= API for changing interests. Contributed by
    @UpeksheJay as a Google Summer of Code project.
  * Update to libev 4.22
* Sat Jul 18 2015 coolo@suse.com
- updated to version 1.1.1
  see installed CHANGES.md
  1.1.1 (2015-07-17)
  - -----------------
  * Update to libev 4.20
  * Fall back to io.h if unistd.h is not found
  * RSpec updates
  * RuboCop
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.1.0
* Thu Jan 29 2015 tboerger@suse.com
- Ignore devel files as we are doing it everywhere
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Thu Mar 20 2014 tboerger@novell.com
- Intial package of 1.0.0
